from django.core.management.base import BaseCommand
from django.conf import settings

from hshassets import utils

from importlib import import_module

import os
import sass
import jsmin


class Command(BaseCommand):
    help = 'Builds the projects assets'

    def handle(self, *args, **options):

        verbose = bool(options.get('verbosity', 0))

        print('Doing asset magic ...')
        utils.do_everything(verbose=verbose)
        print('Everything finished! \033[92m(ಠ‿↼)\033[0m\n')
