
# piwi stuff
PIWIK_URL = 'piwik.it.hs-hannover.de'
PIWIK_SITE_ID = None

# setting the color scheme for the default compiled style and base html
# available are:
#
#   'service' - default, central service yellow                               - rgb(255, 210, 0)
#   'zsw'     - mint for ZSW                                                  - rgb(70,  180, 140)
#   'f1'      - light blue for faculty 1, "Elektro- und Informationstechnik"  - rgb(30,  190, 235)
#   'f2'      - green for faculty 2, "Maschinenbau und Bioverfahrenstechnik"  - rgb(150, 190, 0)
#   'f3'      - light blue for faculty 3, "Medien, Information und Design"    - rgb(255, 165, 0)
#   'f4'      - light blue for faculty 4, "Wirtschaft und Informatik"         - rgb(220, 50,  5)
#   'f5'      - light blue for faculty 5, "Diakonie, Gesundheit und Soziales" - rgb(210, 60,  150)
COLOR_SCHEME = 'service'

# need some dependecies already available in another app for your own scss stuff?
# no problem - by default we already add the hshassets/assets/sass/lib for you
# but you might define your own, just add your tuple like this:
# ('app_name', ['path/relative/to/appname/assets', 'another/relative/to/appname/assets']),
# NOTE: the app must be added to INSTALLED_APPS
# TODO: if you provide a str instead of tuple this path might be treated absolute or rel to project root!
# read utils.get_scss_include_paths() for further information
SCSS_INCLUDE_PATHS = [
    ('hshassets', ['sass/lib/']),
]

# URI to the live service.it portal
SERVICE_IT_URI = 'https://service.it.hs-hannover.de/'

# THIS IS STILL EXPERIMENTAL.
# {'hshassets': 'myprojectsapp'}
# This way you say: when you render your assets from within my project (where this setting is located)
# Put the results from the assets in app KEY (hshassets) into the static folder of VALUE (myprojectapp)
# as a result you'll find myprojectapp/static/hshassets/ full of compiled assets from hshassets.
STATIC_TARGET_APPS = {}
